Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class ExtentType

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.ExtentType

    public class ExtentType

extends Object

Java class for ExtentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ExtentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ExtentInfo" type="{http://www.atomikos.com/schemas/2005/10/transactions}ExtentElementType" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="tid" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<ExtentElementType>` | `extentInfo`
`protected String` | `tid`

Constructor Summary
`ExtentType()`

Method Summary
`List<ExtentElementType>` | `getExtentInfo()` Gets the value of the extentInfo property.
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`String` | `getTid()` Gets the value of the tid property.
`void` | `setTid(String value)` Sets the value of the tid property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extentInfo

    protected List<ExtentElementType> extentInfo

### tid

    protected String tid

Constructor Detail

### ExtentType

    public ExtentType()

Method Detail

### getExtentInfo

    public List<ExtentElementType> getExtentInfo()

  Gets the value of the extentInfo property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extentInfo property.

  For example, to add a new item, do as follows:

          getExtentInfo().add(newItem);

  Objects of the following type(s) are allowed in the list `ExtentElementType`

### getTid

    public String getTid()

  Gets the value of the tid property.

  Returns:
    possible object is `String`

### setTid

    public void setTid(String value)

  Sets the value of the tid property.

  Parameters:
    `value` - allowed object is `String`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.